%define upstream_name	 DBD-SQLite2
%define upstream_version 0.38

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Self Contained RDBMS in a DBI Driver (sqlite 2.x)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/M/MS/MSERGEANT/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     perl-DBD-SQLite2-0.36-libsqlite0.patch

BuildRequires: perl(DBI) >= 1.625.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: pkgconfig(sqlite)
%description
SQLite is a small fast embedded SQL database engine.

DBD::SQLite embeds that database engine into a DBD driver, so
if you want a relational database for your project, but don't
want to install a large RDBMS system like MySQL or PostgreSQL,
then DBD::SQLite may be just what you need.

It supports quite a lot of features, such as transactions (atomic
commit and rollback), indexes, DBA-free operation, a large subset
of SQL92 supported, and more.

Note: DBD::SQLite2 is the old version of DBD::SQLite, and is linked against
version 2.x.x of the sqlite library. The current version of DBD::SQLite is
linked against version 3 (or possibly later if I forget to update this file).
This release is designed to allow you to have both versions installed on the
same system.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}
# remove the embedded SQLite 2
rm -f \
	attach.c \
	auth.c \
	btree.c \
	btree.h \
	btree_rb.c \
	build.c \
	copy.c \
	date.c \
	delete.c \
	encode.c \
	expr.c \
	func.c \
	getsqlite.pl \
	hash.c \
	hash.h \
	insert.c \
	main.c \
	opcodes.c \
	opcodes.h \
	os.c \
	os.h \
	pager.c \
	pager.h \
	parse.c \
	parse.h \
	pragma.c \
	printf.c \
	random.c \
	select.c \
	sqlite.h \
	sqliteInt.h \
	table.c \
	tokenize.c \
	trigger.c \
	update.c \
	util.c \
	vacuum.c \
	vdbe.c \
	vdbe.h \
	vdbeaux.c \
	vdbeInt.h \
	where.c
%patch0 -p1 -E
# jq - test failing, dunno why
rm -f t/ak-dbd.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{perl_vendorarch}/*
%{_mandir}/*/*

%changelog
* Thu Jun 18 2020 umeabot <umeabot> 0.380.0-4.mga8
+ Revision: 1595641
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.380.0-3.mga8
+ Revision: 1529446
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.380.0-2.mga8
+ Revision: 1433505
- rebuild for perl 5.30

* Wed Oct 17 2018 shlomif <shlomif> 0.380.0-1.mga7
+ Revision: 1321448
- update to 0.38

* Fri Sep 21 2018 umeabot <umeabot> 0.370.0-7.mga7
+ Revision: 1292674
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.370.0-6.mga7
+ Revision: 1249784
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.370.0-5.mga7
+ Revision: 1163896
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.370.0-4.mga7
+ Revision: 1149612
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.370.0-3.mga7
+ Revision: 1126559
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.370.0-2.mga6
+ Revision: 1025399
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.370.0-1.mga6
+ Revision: 1001756
- update to 0.37

* Fri Feb 12 2016 umeabot <umeabot> 0.360.0-8.mga6
+ Revision: 957103
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.360.0-7.mga6
+ Revision: 844825
- rebuild for soname-ifed perl

* Wed Jun 24 2015 tv <tv> 0.360.0-6.mga6
+ Revision: 842509
- rebuild with soname-ified perl

* Sun Oct 19 2014 umeabot <umeabot> 0.360.0-5.mga5
+ Revision: 788880
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.360.0-4.mga5
+ Revision: 741322
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.360.0-3.mga5
+ Revision: 684091
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.360.0-2.mga5
+ Revision: 632204
- perl 5.20.0 rebuild

* Thu Feb 13 2014 jquelin <jquelin> 0.360.0-1.mga5
+ Revision: 590680
- update to 0.36

* Sat Oct 19 2013 umeabot <umeabot> 0.330.0-8.mga4
+ Revision: 524753
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.330.0-7.mga4
+ Revision: 431420
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.330.0-6.mga3
+ Revision: 365026
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.330.0-5.mga3
+ Revision: 250493
- rebuild for perl 5.16

* Mon Jun 13 2011 jquelin <jquelin> 0.330.0-4.mga2
+ Revision: 105654
- remove cflags, which prevent dbd::sqlite from working
+ sander85 <sander85>
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 0.330.0-3.mga1
+ Revision: 10800
- imported package perl-DBD-SQLite2


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.330.0-3mdv2011.0
+ Revision: 555788
- rebuild for perl 5.12

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.330.0-2mdv2011.0
+ Revision: 555463
- rebuild

* Wed Aug 05 2009 Jérôme Quelin <jquelin@mandriva.org> 0.330.0-1mdv2010.0
+ Revision: 410153
- rebuild using %%perl_convert_version

  + Michael Scherer <misc@mandriva.org>
    - fix patch application

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - fix spacing at top of description
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Nov 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.33-4mdv2007.0
+ Revision: 85332
- Import perl-DBD-SQLite2

* Fri Nov 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.33-4
- rebuild

* Tue Sep 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.33-3mdk
- spec cleanup

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.33-2mdk
- applied changes by Yann Droneaud <ydroneaud@mandrakesoft.com>:
 - link against installed libsqlite0
 - removed getsqlite.pl which conflicted with perl-DBD-SQLite package
- fix deps

* Thu Dec 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.33-1mdk
- used the spec file from the perl-DBD-SQLite package

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.07-2mdk 
- rebuild for new perl
- remove README.urpmi

* Fri Oct 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.07-1mdk
- 1.07.

* Wed Aug 11 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.03-1mdk
- 1.03.
- Remove patch 1.

* Thu Jul 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.00-1mdk
- 1.00, incompatible format with previous versions.
- Remove MANIFEST, add README.update.urpmi.
- Patch to prevent interactivity in Makefile.PL

* Tue May 18 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.31-2mdk
- Fix compile FLAGS

